Index: LMDZ6/branches/Ocean_skin/DefLists/output.def
===================================================================
--- LMDZ6/branches/Ocean_skin/DefLists/output.def	(revision 3605)
+++ LMDZ6/branches/Ocean_skin/DefLists/output.def	(revision 3617)
@@ -2,8 +2,8 @@
 phys_out_filelevels__00001 =            1
 
-phys_out_filekeys__00002 = TRUE 
+phys_out_filekeys__00002 = FALSE 
 phys_out_levmax__00002 = 42
 phys_out_filenames__00002 = histday_ave
-phys_out_filelevels__00002 =  2
+phys_out_filelevels__00002 =  6
 
 flag_t2m_max__00002 =            10
@@ -34,5 +34,5 @@
  flag_z0h_oce__00002 =            2
 
-phys_out_filekeys__00003 = FALSE
+phys_out_filekeys__00003 = n
 phys_out_levmax__00003 = 42
 phys_out_filetimesteps__00003 = 1hours
@@ -72,8 +72,8 @@
 
 phys_out_levmax__00004 = 42
-phys_out_filekeys__00004 = FALSE
+phys_out_filekeys__00004 = n
 phys_out_filetimesteps__00004 = 1hours
 phys_out_filenames__00004 = histhf_ins
-phys_out_filelevels__00004 = 1
+phys_out_filelevels__00004 = 2
 
 flag_u10m_oce__00004 = 1
@@ -100,5 +100,5 @@
 
 phys_out_levmax__00005 = 42
-phys_out_filekeys__00005 = TRUE
+phys_out_filekeys__00005 = n
 phys_out_filetypes__00005 = t_max(X)
 phys_out_filetimesteps__00005 = 1days
@@ -113,5 +113,5 @@
 
 phys_out_levmax__00006 = 42
-phys_out_filekeys__00006 = TRUE
+phys_out_filekeys__00006 = n
 phys_out_filenames__00006 = histday_min
 phys_out_filetypes__00006 = t_min(X)
Index: LMDZ6/branches/Ocean_skin/DefLists/physiq.def_NPv6.1
===================================================================
--- LMDZ6/branches/Ocean_skin/DefLists/physiq.def_NPv6.1	(revision 3605)
+++ LMDZ6/branches/Ocean_skin/DefLists/physiq.def_NPv6.1	(revision 3617)
@@ -558,3 +558,3 @@
 cdnc_min=10.
 flag_ocean_skin=3
-activate_ocean_skin = 2
+activate_ocean_skin = 1
Index: LMDZ6/branches/Ocean_skin/DefLists/run.def
===================================================================
--- LMDZ6/branches/Ocean_skin/DefLists/run.def	(revision 3605)
+++ LMDZ6/branches/Ocean_skin/DefLists/run.def	(revision 3617)
@@ -9,13 +9,13 @@
 ## Type de calendrier utilise
 ## valeur possible: earth_360d (defaut), earth_365d, earth_366d
-calend= gregorian
+calend= earth_365d
 ## Jour de l etat initial ( = 350  si 20 Decembre ,par expl. ,comme ici )
-dayref= 32
+dayref= 1
 ##  Annee de l etat  initial (   avec  4  chiffres   )
-anneeref= 1989
+anneeref= 1979
 ## Nombre de jours d integration
-nday= 31
+nday= 28
 ## Remise a zero de la date initiale
-raz_date= 1
+raz_date= 0
 ## periode de sortie des variables de controle (en pas)
 iconser=240
Index: LMDZ6/branches/Ocean_skin/arch/arch-X64_JEANZAY.env
===================================================================
--- LMDZ6/branches/Ocean_skin/arch/arch-X64_JEANZAY.env	(revision 3605)
+++ LMDZ6/branches/Ocean_skin/arch/arch-X64_JEANZAY.env	(revision 3617)
@@ -1,8 +1,8 @@
 module purge
-module load intel-compilers/19.0.4
-module load intel-mpi/19.0.4
-module load intel-mkl/19.0.4
-module load hdf5/1.10.5/intel-19.0.4-mpi
-module load netcdf/4.7.0/intel-19.0.4-mpi
-module load netcdf-fortran/4.4.5/intel-19.0.4-mpi
+module load intel-all/19.0.4
+module load hdf5/1.10.5-mpi
+module load netcdf/4.7.2-mpi
+module load netcdf-fortran/4.5.2-mpi
 
+module load gcc/6.5.0
+module load idrmem/1.4-mpi
Index: LMDZ6/branches/Ocean_skin/arch/arch-X64_JEANZAY.fcm
===================================================================
--- LMDZ6/branches/Ocean_skin/arch/arch-X64_JEANZAY.fcm	(revision 3605)
+++ LMDZ6/branches/Ocean_skin/arch/arch-X64_JEANZAY.fcm	(revision 3617)
@@ -14,4 +14,4 @@
 %OMP_FFLAGS          -qopenmp
 %BASE_LD             -i4 -r8 -auto -lmkl_intel_lp64 -lmkl_core -lmkl_sequential -lpthread
-%MPI_LD
+%MPI_LD              -lidrmem
 %OMP_LD              -qopenmp
Index: LMDZ6/branches/Ocean_skin/libf/misc/handle_err_m.F90
===================================================================
--- LMDZ6/branches/Ocean_skin/libf/misc/handle_err_m.F90	(revision 3605)
+++ LMDZ6/branches/Ocean_skin/libf/misc/handle_err_m.F90	(revision 3617)
@@ -27,4 +27,5 @@
 
     if (ncerr /= nf90_noerr) then
+       print *, "NetCDF95 handle_err:"
        print *, message, ":"
        if (present(varid)) print *, "varid = ", varid
@@ -39,5 +40,5 @@
           end if
        end if
-       call abort_physic("NetCDF95 handle_err", "", 1)
+       call abort_physic("NetCDF95 handle_err", "see above", 1)
     end if
 
Index: LMDZ6/branches/Ocean_skin/libf/phylmd/cv3_routines.F90
===================================================================
--- LMDZ6/branches/Ocean_skin/libf/phylmd/cv3_routines.F90	(revision 3605)
+++ LMDZ6/branches/Ocean_skin/libf/phylmd/cv3_routines.F90	(revision 3617)
@@ -1495,5 +1495,5 @@
 !!!!            qcld(i,k) = min(clw(i,k), elacrit)                                          !!jygprl
             qcld(i,k) = min(clw(i,k), elacrit*(1.-qta(i,k-1))/(1.-elacrit))             !!jygprl
-            phinu2p = qhsat(i,k-1) + qcld(i,k-1) - (qhsat(i,k) + qcld(i,k))                     !!jygprl
+            phinu2p = max(qhsat(i,k-1) + qcld(i,k-1) - (qhsat(i,k) + qcld(i,k)),0.)   !!jygprl
             qpl(i,k) = qpl(i,k-1) + (1.-frac(i,k))*phinu2p                            !!jygprl
             qps(i,k) = qps(i,k-1) + frac(i,k)     *phinu2p                            !!jygprl
Index: LMDZ6/branches/Ocean_skin/libf/phylmd/physiq_mod.F90
===================================================================
--- LMDZ6/branches/Ocean_skin/libf/phylmd/physiq_mod.F90	(revision 3605)
+++ LMDZ6/branches/Ocean_skin/libf/phylmd/physiq_mod.F90	(revision 3617)
@@ -3728,7 +3728,9 @@
             u, &
             v, &
+            rot, &
             wo(:, :, 1), &
             q_seri, &
             zxtsol, &
+            zt2m, &
             zxsnow_dummy, &
             solsw, &