Index: LMDZ5/branches/IPSLCM5A2.1/DefLists/file_def_histmthCOSP_lmdz.xml
===================================================================
--- LMDZ5/branches/IPSLCM5A2.1/DefLists/file_def_histmthCOSP_lmdz.xml	(revision 2866)
+++ LMDZ5/branches/IPSLCM5A2.1/DefLists/file_def_histmthCOSP_lmdz.xml	(revision 3618)
@@ -21,104 +21,104 @@
                 <field field_ref="clhcalipsoun"         level="1" />
                 <field field_ref="cltcalipsoun"         level="1" />
-                <field field_ref="clcalipso"  level="1" axis_ref="height" />
-                <field field_ref="clcalipsoice"  level="1" axis_ref="height" />
-                <field field_ref="clcalipsoliq"  level="1" axis_ref="height" />
-                <field field_ref="clcalipsoun"  level="1" axis_ref="height" />
-                <field field_ref="clcalipsotmp"  level="1" axis_ref="temp" />
-                <field field_ref="clcalipsotmpice"  level="1" axis_ref="temp" />
-                <field field_ref="clcalipsotmpliq"  level="1" axis_ref="temp" />
-                <field field_ref="clcalipsotmpun"  level="1" axis_ref="temp" />
-                <field field_ref="parasol_refl"  level="1" axis_ref="sza" />
-                <field field_ref="parasol_crefl"  level="1" axis_ref="sza" />
-                <field field_ref="Ncrefl"  level="1" axis_ref="sza" />
-       		    <field field_ref="c01_cfad_lidarsr532"  level="10" axis_ref="height" />
-		        <field field_ref="c02_cfad_lidarsr532"  level="10" axis_ref="height" />
-		        <field field_ref="c03_cfad_lidarsr532"  level="10" axis_ref="height" />
-		        <field field_ref="c04_cfad_lidarsr532"  level="10" axis_ref="height" />
-		        <field field_ref="c05_cfad_lidarsr532"  level="10" axis_ref="height" />
-		        <field field_ref="c06_cfad_lidarsr532"  level="10" axis_ref="height" />
-		        <field field_ref="c07_cfad_lidarsr532"  level="10" axis_ref="height" />
-		        <field field_ref="c08_cfad_lidarsr532"  level="10" axis_ref="height" />
-		        <field field_ref="c09_cfad_lidarsr532"  level="10" axis_ref="height" />
-		        <field field_ref="c10_cfad_lidarsr532"  level="10" axis_ref="height" />
-		        <field field_ref="c11_cfad_lidarsr532"  level="10" axis_ref="height" />
-		        <field field_ref="c12_cfad_lidarsr532"  level="10" axis_ref="height" />
-		        <field field_ref="c13_cfad_lidarsr532"  level="10" axis_ref="height" />
-		        <field field_ref="c14_cfad_lidarsr532"  level="10" axis_ref="height" />
-		        <field field_ref="c15_cfad_lidarsr532"  level="10" axis_ref="height" />
-                <field field_ref="c01_atb532" level="10" axis_ref="height_mlev" />
-                <field field_ref="c02_atb532" level="10" axis_ref="height_mlev" />
-                <field field_ref="c03_atb532" level="10" axis_ref="height_mlev" />
-                <field field_ref="c04_atb532" level="10" axis_ref="height_mlev" />
-                <field field_ref="c05_atb532" level="10" axis_ref="height_mlev" />
-                <field field_ref="c06_atb532" level="10" axis_ref="height_mlev" />
-                <field field_ref="c07_atb532" level="10" axis_ref="height_mlev" />
-                <field field_ref="c08_atb532" level="10" axis_ref="height_mlev" />
-                <field field_ref="c09_atb532" level="10" axis_ref="height_mlev" />
-                <field field_ref="c10_atb532" level="10" axis_ref="height_mlev" />
-                <field field_ref="c11_atb532" level="10" axis_ref="height_mlev" />
-                <field field_ref="c12_atb532" level="10" axis_ref="height_mlev" />
-                <field field_ref="c13_atb532" level="10" axis_ref="height_mlev" />
-                <field field_ref="c14_atb532" level="10" axis_ref="height_mlev" />
-                <field field_ref="c15_atb532" level="10" axis_ref="height_mlev" />
-                <field field_ref="c16_atb532" level="10" axis_ref="height_mlev" />
-                <field field_ref="c17_atb532" level="10" axis_ref="height_mlev" />
-                <field field_ref="c18_atb532" level="10" axis_ref="height_mlev" />
-                <field field_ref="c19_atb532" level="10" axis_ref="height_mlev" />
-                <field field_ref="c20_atb532" level="10" axis_ref="height_mlev" />
-                <field field_ref="beta_mol532" level="10" axis_ref="height_mlev" />
+                <field field_ref="clcalipso"  level="1" grid_ref="grid_glo_height" />
+                <field field_ref="clcalipsoice"  level="1" grid_ref="grid_glo_height" />
+                <field field_ref="clcalipsoliq"  level="1" grid_ref="grid_glo_height" />
+                <field field_ref="clcalipsoun"  level="1" grid_ref="grid_glo_height" />
+                <field field_ref="clcalipsotmp"  level="1" grid_ref="grid_glo_temp" />
+                <field field_ref="clcalipsotmpice"  level="1" grid_ref="grid_glo_temp" />
+                <field field_ref="clcalipsotmpliq"  level="1" grid_ref="grid_glo_temp" />
+                <field field_ref="clcalipsotmpun"  level="1" grid_ref="grid_glo_temp" />
+                <field field_ref="parasol_refl"  level="1" grid_ref="grid_glo_sza" />
+                <field field_ref="parasol_crefl"  level="1" grid_ref="grid_glo_sza" />
+                <field field_ref="Ncrefl"  level="1" grid_ref="grid_glo_sza" />
+       		    <field field_ref="c01_cfad_lidarsr532"  level="10" grid_ref="grid_glo_height" />
+		        <field field_ref="c02_cfad_lidarsr532"  level="10" grid_ref="grid_glo_height" />
+		        <field field_ref="c03_cfad_lidarsr532"  level="10" grid_ref="grid_glo_height" />
+		        <field field_ref="c04_cfad_lidarsr532"  level="10" grid_ref="grid_glo_height" />
+		        <field field_ref="c05_cfad_lidarsr532"  level="10" grid_ref="grid_glo_height" />
+		        <field field_ref="c06_cfad_lidarsr532"  level="10" grid_ref="grid_glo_height" />
+		        <field field_ref="c07_cfad_lidarsr532"  level="10" grid_ref="grid_glo_height" />
+		        <field field_ref="c08_cfad_lidarsr532"  level="10" grid_ref="grid_glo_height" />
+		        <field field_ref="c09_cfad_lidarsr532"  level="10" grid_ref="grid_glo_height" />
+		        <field field_ref="c10_cfad_lidarsr532"  level="10" grid_ref="grid_glo_height" />
+		        <field field_ref="c11_cfad_lidarsr532"  level="10" grid_ref="grid_glo_height" />
+		        <field field_ref="c12_cfad_lidarsr532"  level="10" grid_ref="grid_glo_height" />
+		        <field field_ref="c13_cfad_lidarsr532"  level="10" grid_ref="grid_glo_height" />
+		        <field field_ref="c14_cfad_lidarsr532"  level="10" grid_ref="grid_glo_height" />
+		        <field field_ref="c15_cfad_lidarsr532"  level="10" grid_ref="grid_glo_height" />
+                <field field_ref="c01_atb532" level="10" grid_ref="grid_glo_heightmlev" />
+                <field field_ref="c02_atb532" level="10" grid_ref="grid_glo_heightmlev" />
+                <field field_ref="c03_atb532" level="10" grid_ref="grid_glo_heightmlev" />
+                <field field_ref="c04_atb532" level="10" grid_ref="grid_glo_heightmlev" />
+                <field field_ref="c05_atb532" level="10" grid_ref="grid_glo_heightmlev" />
+                <field field_ref="c06_atb532" level="10" grid_ref="grid_glo_heightmlev" />
+                <field field_ref="c07_atb532" level="10" grid_ref="grid_glo_heightmlev" />
+                <field field_ref="c08_atb532" level="10" grid_ref="grid_glo_heightmlev" />
+                <field field_ref="c09_atb532" level="10" grid_ref="grid_glo_heightmlev" />
+                <field field_ref="c10_atb532" level="10" grid_ref="grid_glo_heightmlev" />
+                <field field_ref="c11_atb532" level="10" grid_ref="grid_glo_heightmlev" />
+                <field field_ref="c12_atb532" level="10" grid_ref="grid_glo_heightmlev" />
+                <field field_ref="c13_atb532" level="10" grid_ref="grid_glo_heightmlev" />
+                <field field_ref="c14_atb532" level="10" grid_ref="grid_glo_heightmlev" />
+                <field field_ref="c15_atb532" level="10" grid_ref="grid_glo_heightmlev" />
+                <field field_ref="c16_atb532" level="10" grid_ref="grid_glo_heightmlev" />
+                <field field_ref="c17_atb532" level="10" grid_ref="grid_glo_heightmlev" />
+                <field field_ref="c18_atb532" level="10" grid_ref="grid_glo_heightmlev" />
+                <field field_ref="c19_atb532" level="10" grid_ref="grid_glo_heightmlev" />
+                <field field_ref="c20_atb532" level="10" grid_ref="grid_glo_heightmlev" />
+                <field field_ref="beta_mol532" level="10" grid_ref="grid_glo_heightmlev" />
               </field_group>
              <!-- VARS CLOUDSAT et/ou Calipso -->
             <field_group operation="average" freq_op="3h" detect_missing_value=".true."> 
                <field field_ref="cltlidarradar"  level="1"/>
-               <field field_ref="clcalipso2"  level="1" axis_ref="height" />
-               <field field_ref="c01_cfadDbze94"  level="10" axis_ref="height" />
-               <field field_ref="c02_cfadDbze94"  level="10" axis_ref="height" />
-               <field field_ref="c03_cfadDbze94"  level="10" axis_ref="height" />
-               <field field_ref="c04_cfadDbze94"  level="10" axis_ref="height" />
-               <field field_ref="c05_cfadDbze94"  level="10" axis_ref="height" />
-               <field field_ref="c06_cfadDbze94"  level="10" axis_ref="height" />
-               <field field_ref="c07_cfadDbze94"  level="10" axis_ref="height" />
-               <field field_ref="c08_cfadDbze94"  level="10" axis_ref="height" />
-               <field field_ref="c09_cfadDbze94"  level="10" axis_ref="height" />
-               <field field_ref="c10_cfadDbze94"  level="10" axis_ref="height" />
-               <field field_ref="c11_cfadDbze94"  level="10" axis_ref="height" />
-               <field field_ref="c12_cfadDbze94"  level="10" axis_ref="height" />
-               <field field_ref="c13_cfadDbze94"  level="10" axis_ref="height" />
-               <field field_ref="c14_cfadDbze94"  level="10" axis_ref="height" />
-               <field field_ref="c15_cfadDbze94"  level="10" axis_ref="height" />
-               <field field_ref="c01_dbze94" level="10" axis_ref="height_mlev" />
-               <field field_ref="c02_dbze94" level="10" axis_ref="height_mlev" />
-               <field field_ref="c03_dbze94" level="10" axis_ref="height_mlev" />
-               <field field_ref="c04_dbze94" level="10" axis_ref="height_mlev" />
-               <field field_ref="c05_dbze94" level="10" axis_ref="height_mlev" />
-               <field field_ref="c06_dbze94" level="10" axis_ref="height_mlev" />
-               <field field_ref="c07_dbze94" level="10" axis_ref="height_mlev" />
-               <field field_ref="c08_dbze94" level="10" axis_ref="height_mlev" />
-               <field field_ref="c09_dbze94" level="10" axis_ref="height_mlev" />
-               <field field_ref="c10_dbze94" level="10" axis_ref="height_mlev" />
-               <field field_ref="c11_dbze94" level="10" axis_ref="height_mlev" />
-               <field field_ref="c12_dbze94" level="10" axis_ref="height_mlev" />
-               <field field_ref="c13_dbze94" level="10" axis_ref="height_mlev" />
-               <field field_ref="c14_dbze94" level="10" axis_ref="height_mlev" />
-               <field field_ref="c15_dbze94" level="10" axis_ref="height_mlev" />
-               <field field_ref="c16_dbze94" level="10" axis_ref="height_mlev" />
-               <field field_ref="c17_dbze94" level="10" axis_ref="height_mlev" />
-               <field field_ref="c18_dbze94" level="10" axis_ref="height_mlev" />
-               <field field_ref="c19_dbze94" level="10" axis_ref="height_mlev" />
-               <field field_ref="c20_dbze94" level="10" axis_ref="height_mlev" />
+               <field field_ref="clcalipso2"  level="1" grid_ref="grid_glo_height" />
+               <field field_ref="c01_cfadDbze94"  level="10" grid_ref="grid_glo_height" />
+               <field field_ref="c02_cfadDbze94"  level="10" grid_ref="grid_glo_height" />
+               <field field_ref="c03_cfadDbze94"  level="10" grid_ref="grid_glo_height" />
+               <field field_ref="c04_cfadDbze94"  level="10" grid_ref="grid_glo_height" />
+               <field field_ref="c05_cfadDbze94"  level="10" grid_ref="grid_glo_height" />
+               <field field_ref="c06_cfadDbze94"  level="10" grid_ref="grid_glo_height" />
+               <field field_ref="c07_cfadDbze94"  level="10" grid_ref="grid_glo_height" />
+               <field field_ref="c08_cfadDbze94"  level="10" grid_ref="grid_glo_height" />
+               <field field_ref="c09_cfadDbze94"  level="10" grid_ref="grid_glo_height" />
+               <field field_ref="c10_cfadDbze94"  level="10" grid_ref="grid_glo_height" />
+               <field field_ref="c11_cfadDbze94"  level="10" grid_ref="grid_glo_height" />
+               <field field_ref="c12_cfadDbze94"  level="10" grid_ref="grid_glo_height" />
+               <field field_ref="c13_cfadDbze94"  level="10" grid_ref="grid_glo_height" />
+               <field field_ref="c14_cfadDbze94"  level="10" grid_ref="grid_glo_height" />
+               <field field_ref="c15_cfadDbze94"  level="10" grid_ref="grid_glo_height" />
+               <field field_ref="c01_dbze94" level="10" grid_ref="grid_glo_heightmlev" />
+               <field field_ref="c02_dbze94" level="10" grid_ref="grid_glo_heightmlev" />
+               <field field_ref="c03_dbze94" level="10" grid_ref="grid_glo_heightmlev" />
+               <field field_ref="c04_dbze94" level="10" grid_ref="grid_glo_heightmlev" />
+               <field field_ref="c05_dbze94" level="10" grid_ref="grid_glo_heightmlev" />
+               <field field_ref="c06_dbze94" level="10" grid_ref="grid_glo_heightmlev" />
+               <field field_ref="c07_dbze94" level="10" grid_ref="grid_glo_heightmlev" />
+               <field field_ref="c08_dbze94" level="10" grid_ref="grid_glo_heightmlev" />
+               <field field_ref="c09_dbze94" level="10" grid_ref="grid_glo_heightmlev" />
+               <field field_ref="c10_dbze94" level="10" grid_ref="grid_glo_heightmlev" />
+               <field field_ref="c11_dbze94" level="10" grid_ref="grid_glo_heightmlev" />
+               <field field_ref="c12_dbze94" level="10" grid_ref="grid_glo_heightmlev" />
+               <field field_ref="c13_dbze94" level="10" grid_ref="grid_glo_heightmlev" />
+               <field field_ref="c14_dbze94" level="10" grid_ref="grid_glo_heightmlev" />
+               <field field_ref="c15_dbze94" level="10" grid_ref="grid_glo_heightmlev" />
+               <field field_ref="c16_dbze94" level="10" grid_ref="grid_glo_heightmlev" />
+               <field field_ref="c17_dbze94" level="10" grid_ref="grid_glo_heightmlev" />
+               <field field_ref="c18_dbze94" level="10" grid_ref="grid_glo_heightmlev" />
+               <field field_ref="c19_dbze94" level="10" grid_ref="grid_glo_heightmlev" />
+               <field field_ref="c20_dbze94" level="10" grid_ref="grid_glo_heightmlev" />
               </field_group>
              <!-- VARS ISCCP -->
             <field_group operation="average" freq_op="3h" detect_missing_value=".true.">
                 <field field_ref="sunlit" level="1" />
-                <field field_ref="c01_clisccp2" level="1" axis_ref="pressure2" />
-                <field field_ref="c02_clisccp2" level="1" axis_ref="pressure2" />
-                <field field_ref="c03_clisccp2" level="1" axis_ref="pressure2" />
-                <field field_ref="c04_clisccp2" level="1" axis_ref="pressure2" />
-                <field field_ref="c05_clisccp2" level="1" axis_ref="pressure2" />
-                <field field_ref="c06_clisccp2" level="1" axis_ref="pressure2" />
-                <field field_ref="c07_clisccp2" level="1" axis_ref="pressure2" />
-                <field field_ref="boxtauisccp" level="10" axis_ref="column" />
-                <field field_ref="boxptopisccp" level="10" axis_ref="column" />
+                <field field_ref="c01_clisccp2" level="1" grid_ref="grid_glo_pressure2" />
+                <field field_ref="c02_clisccp2" level="1" grid_ref="grid_glo_pressure2" />
+                <field field_ref="c03_clisccp2" level="1" grid_ref="grid_glo_pressure2" />
+                <field field_ref="c04_clisccp2" level="1" grid_ref="grid_glo_pressure2" />
+                <field field_ref="c05_clisccp2" level="1" grid_ref="grid_glo_pressure2" />
+                <field field_ref="c06_clisccp2" level="1" grid_ref="grid_glo_pressure2" />
+                <field field_ref="c07_clisccp2" level="1" grid_ref="grid_glo_pressure2" />
+                <field field_ref="boxtauisccp" level="10" grid_ref="grid_glo_column" />
+                <field field_ref="boxptopisccp" level="10" grid_ref="grid_glo_column" />
                 <field field_ref="tclisccp" level="1" />
                 <field field_ref="ctpisccp" level="1" />
@@ -130,11 +130,11 @@
              <!-- VARS MISR -->
             <field_group operation="average" freq_op="3h" detect_missing_value=".true.">
-                <field field_ref="c01_clMISR" level="1" axis_ref="cth16" />
-                <field field_ref="c02_clMISR" level="1" axis_ref="cth16" />
-                <field field_ref="c03_clMISR" level="1" axis_ref="cth16" />
-                <field field_ref="c04_clMISR" level="1" axis_ref="cth16" />
-                <field field_ref="c05_clMISR" level="1" axis_ref="cth16" />
-                <field field_ref="c06_clMISR" level="1" axis_ref="cth16" />
-                <field field_ref="c07_clMISR" level="1" axis_ref="cth16" />
+                <field field_ref="c01_clMISR" level="1" grid_ref="grid_glo_cth16" />
+                <field field_ref="c02_clMISR" level="1" grid_ref="grid_glo_cth16" />
+                <field field_ref="c03_clMISR" level="1" grid_ref="grid_glo_cth16" />
+                <field field_ref="c04_clMISR" level="1" grid_ref="grid_glo_cth16" />
+                <field field_ref="c05_clMISR" level="1" grid_ref="grid_glo_cth16" />
+                <field field_ref="c06_clMISR" level="1" grid_ref="grid_glo_cth16" />
+                <field field_ref="c07_clMISR" level="1" grid_ref="grid_glo_cth16" />
             </field_group>
             <field_group operation="average" freq_op="3h" detect_missing_value=".true.">
@@ -156,11 +156,11 @@
                 <field field_ref="lwpmodis" level="1" />
                 <field field_ref="iwpmodis" level="1" />
-                <field field_ref="c01_clmodis" level="1" axis_ref="pressure2" />
-                <field field_ref="c02_clmodis" level="1" axis_ref="pressure2" />
-                <field field_ref="c03_clmodis" level="1" axis_ref="pressure2" />
-                <field field_ref="c04_clmodis" level="1" axis_ref="pressure2" />
-                <field field_ref="c05_clmodis" level="1" axis_ref="pressure2" />
-                <field field_ref="c06_clmodis" level="1" axis_ref="pressure2" />
-                <field field_ref="c07_clmodis" level="1" axis_ref="pressure2" />
+                <field field_ref="c01_clmodis" level="1" grid_ref="grid_glo_pressure2" />
+                <field field_ref="c02_clmodis" level="1" grid_ref="grid_glo_pressure2" />
+                <field field_ref="c03_clmodis" level="1" grid_ref="grid_glo_pressure2" />
+                <field field_ref="c04_clmodis" level="1" grid_ref="grid_glo_pressure2" />
+                <field field_ref="c05_clmodis" level="1" grid_ref="grid_glo_pressure2" />
+                <field field_ref="c06_clmodis" level="1" grid_ref="grid_glo_pressure2" />
+                <field field_ref="c07_clmodis" level="1" grid_ref="grid_glo_pressure2" />
             </field_group>
 