Index: LMDZ6/trunk/libf/phylmd/phys_output_write_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/phys_output_write_mod.F90	(revision 3623)
+++ LMDZ6/trunk/libf/phylmd/phys_output_write_mod.F90	(revision 3630)
@@ -17,5 +17,5 @@
   SUBROUTINE phys_output_write(itap, pdtphys, paprs, pphis, &
        pplay, lmax_th, aerosol_couple,         &
-       ok_ade, ok_aie, ok_volcan, ivap, iliq, isol, new_aod, ok_sync, &
+       ok_ade, ok_aie, ok_volcan, ivap, iliq, isol, ok_sync, &
        ptconv, read_climoz, clevSTD, ptconvth, &
        d_u, d_t, qx, d_qx, zmasse, flag_aerosol, flag_aerosol_strat, ok_cdnc)
@@ -400,5 +400,5 @@
     INTEGER, DIMENSION(klon) :: lmax_th
     LOGICAL :: aerosol_couple, ok_sync
-    LOGICAL :: ok_ade, ok_aie, ok_volcan, new_aod
+    LOGICAL :: ok_ade, ok_aie, ok_volcan
     LOGICAL, DIMENSION(klon, klev) :: ptconv, ptconvth
     REAL :: pdtphys
@@ -1393,44 +1393,41 @@
 !--OLIVIER
 !This is warranted by treating INCA aerosols as offline aerosols
-!       IF (new_aod .and. (.not. aerosol_couple)) THEN
-       IF (new_aod) THEN
-          IF (flag_aerosol.GT.0) THEN
-             CALL histwrite_phy(o_od443aer, od443aer)
-             CALL histwrite_phy(o_od550aer, od550aer)
-             CALL histwrite_phy(o_od865aer, od865aer)
-             CALL histwrite_phy(o_abs550aer, abs550aer)
-             CALL histwrite_phy(o_od550lt1aer, od550lt1aer)
-             CALL histwrite_phy(o_sconcso4, sconcso4)
-             CALL histwrite_phy(o_sconcno3, sconcno3)
-             CALL histwrite_phy(o_sconcoa, sconcoa)
-             CALL histwrite_phy(o_sconcbc, sconcbc)
-             CALL histwrite_phy(o_sconcss, sconcss)
-             CALL histwrite_phy(o_sconcdust, sconcdust)
-             CALL histwrite_phy(o_concso4, concso4)
-             CALL histwrite_phy(o_concno3, concno3)
-             CALL histwrite_phy(o_concoa, concoa)
-             CALL histwrite_phy(o_concbc, concbc)
-             CALL histwrite_phy(o_concss, concss)
-             CALL histwrite_phy(o_concdust, concdust)
-             CALL histwrite_phy(o_loadso4, loadso4)
-             CALL histwrite_phy(o_loadoa, loadoa)
-             CALL histwrite_phy(o_loadbc, loadbc)
-             CALL histwrite_phy(o_loadss, loadss)
-             CALL histwrite_phy(o_loaddust, loaddust)
-             CALL histwrite_phy(o_loadno3, loadno3)
-             CALL histwrite_phy(o_dryod550aer, dryod550aer)
-             DO naero = 1, naero_tot-1
-                CALL histwrite_phy(o_drytausumaero(naero),drytausum_aero(:,naero))
-             END DO
-          ENDIF
-          !--STRAT AER
-          IF (flag_aerosol.GT.0.OR.flag_aerosol_strat.GT.0) THEN
-             DO naero = 1, naero_tot
-                CALL histwrite_phy(o_tausumaero(naero),tausum_aero(:,2,naero))
-             END DO
-          ENDIF
-          IF (flag_aerosol_strat.GT.0) THEN
-             CALL histwrite_phy(o_tausumaero_lw,tausum_aero(:,6,id_STRAT_phy))
-          ENDIF
+       IF (flag_aerosol.GT.0) THEN
+          CALL histwrite_phy(o_od443aer, od443aer)
+          CALL histwrite_phy(o_od550aer, od550aer)
+          CALL histwrite_phy(o_od865aer, od865aer)
+          CALL histwrite_phy(o_abs550aer, abs550aer)
+          CALL histwrite_phy(o_od550lt1aer, od550lt1aer)
+          CALL histwrite_phy(o_sconcso4, sconcso4)
+          CALL histwrite_phy(o_sconcno3, sconcno3)
+          CALL histwrite_phy(o_sconcoa, sconcoa)
+          CALL histwrite_phy(o_sconcbc, sconcbc)
+          CALL histwrite_phy(o_sconcss, sconcss)
+          CALL histwrite_phy(o_sconcdust, sconcdust)
+          CALL histwrite_phy(o_concso4, concso4)
+          CALL histwrite_phy(o_concno3, concno3)
+          CALL histwrite_phy(o_concoa, concoa)
+          CALL histwrite_phy(o_concbc, concbc)
+          CALL histwrite_phy(o_concss, concss)
+          CALL histwrite_phy(o_concdust, concdust)
+          CALL histwrite_phy(o_loadso4, loadso4)
+          CALL histwrite_phy(o_loadoa, loadoa)
+          CALL histwrite_phy(o_loadbc, loadbc)
+          CALL histwrite_phy(o_loadss, loadss)
+          CALL histwrite_phy(o_loaddust, loaddust)
+          CALL histwrite_phy(o_loadno3, loadno3)
+          CALL histwrite_phy(o_dryod550aer, dryod550aer)
+          DO naero = 1, naero_tot-1
+             CALL histwrite_phy(o_drytausumaero(naero),drytausum_aero(:,naero))
+          END DO
+       ENDIF
+       !--STRAT AER
+       IF (flag_aerosol.GT.0.OR.flag_aerosol_strat.GT.0) THEN
+          DO naero = 1, naero_tot
+             CALL histwrite_phy(o_tausumaero(naero),tausum_aero(:,2,naero))
+          END DO
+       ENDIF
+       IF (flag_aerosol_strat.GT.0) THEN
+          CALL histwrite_phy(o_tausumaero_lw,tausum_aero(:,6,id_STRAT_phy))
        ENDIF
 
@@ -1522,41 +1519,39 @@
           CALL histwrite_phy(o_sollwad0, sollwad0_aero)
           !====MS forcing diagnostics
-          IF (new_aod) THEN
           !ym warning : topsw_aero, solsw_aero, topsw0_aero, solsw0_aero are not defined by model
           !ym => init to 0 in radlwsw_m.F90 ztopsw_aero, zsolsw_aero, ztopsw0_aero, zsolsw0_aero
 
-             IF (vars_defined) zx_tmp_fi2d(:)=topsw_aero(:,1)*swradcorr(:)
-             CALL histwrite_phy(o_swtoaas_nat,zx_tmp_fi2d)
-             IF (vars_defined) zx_tmp_fi2d(:)=solsw_aero(:,1)*swradcorr(:)
-             CALL histwrite_phy(o_swsrfas_nat,zx_tmp_fi2d)
-             IF (vars_defined) zx_tmp_fi2d(:)=topsw0_aero(:,1)*swradcorr(:)
-             CALL histwrite_phy(o_swtoacs_nat,zx_tmp_fi2d)
-             IF (vars_defined) zx_tmp_fi2d(:)=solsw0_aero(:,1)*swradcorr(:)
-             CALL histwrite_phy(o_swsrfcs_nat,zx_tmp_fi2d)
-             !ant
-             IF (vars_defined) zx_tmp_fi2d(:)=topsw_aero(:,2)*swradcorr(:)
-             CALL histwrite_phy(o_swtoaas_ant,zx_tmp_fi2d)
-             IF (vars_defined) zx_tmp_fi2d(:)=solsw_aero(:,2)*swradcorr(:)
-             CALL histwrite_phy(o_swsrfas_ant,zx_tmp_fi2d)
-             IF (vars_defined) zx_tmp_fi2d(:)=topsw0_aero(:,2)*swradcorr(:)
-             CALL histwrite_phy(o_swtoacs_ant,zx_tmp_fi2d)
-             IF (vars_defined) zx_tmp_fi2d(:)=solsw0_aero(:,2)*swradcorr(:)
-             CALL histwrite_phy(o_swsrfcs_ant,zx_tmp_fi2d)
-             !cf
-             IF (.not. aerosol_couple) THEN
-                IF (vars_defined) zx_tmp_fi2d(:)=topswcf_aero(:,1)*swradcorr(:)
-                CALL histwrite_phy(o_swtoacf_nat,zx_tmp_fi2d)
-                IF (vars_defined) zx_tmp_fi2d(:)=solswcf_aero(:,1)*swradcorr(:)
-                CALL histwrite_phy(o_swsrfcf_nat,zx_tmp_fi2d)
-                IF (vars_defined) zx_tmp_fi2d(:)=topswcf_aero(:,2)*swradcorr(:)
-                CALL histwrite_phy(o_swtoacf_ant,zx_tmp_fi2d)
-                IF (vars_defined) zx_tmp_fi2d(:)=solswcf_aero(:,2)*swradcorr(:)
-                CALL histwrite_phy(o_swsrfcf_ant,zx_tmp_fi2d)
-                IF (vars_defined) zx_tmp_fi2d(:)=topswcf_aero(:,3)*swradcorr(:)
-                CALL histwrite_phy(o_swtoacf_zero,zx_tmp_fi2d)
-                IF (vars_defined) zx_tmp_fi2d(:)=solswcf_aero(:,3)*swradcorr(:)
-                CALL histwrite_phy(o_swsrfcf_zero,zx_tmp_fi2d)
-             ENDIF
-          ENDIF ! new_aod
+          IF (vars_defined) zx_tmp_fi2d(:)=topsw_aero(:,1)*swradcorr(:)
+          CALL histwrite_phy(o_swtoaas_nat,zx_tmp_fi2d)
+          IF (vars_defined) zx_tmp_fi2d(:)=solsw_aero(:,1)*swradcorr(:)
+          CALL histwrite_phy(o_swsrfas_nat,zx_tmp_fi2d)
+          IF (vars_defined) zx_tmp_fi2d(:)=topsw0_aero(:,1)*swradcorr(:)
+          CALL histwrite_phy(o_swtoacs_nat,zx_tmp_fi2d)
+          IF (vars_defined) zx_tmp_fi2d(:)=solsw0_aero(:,1)*swradcorr(:)
+          CALL histwrite_phy(o_swsrfcs_nat,zx_tmp_fi2d)
+          !ant
+          IF (vars_defined) zx_tmp_fi2d(:)=topsw_aero(:,2)*swradcorr(:)
+          CALL histwrite_phy(o_swtoaas_ant,zx_tmp_fi2d)
+          IF (vars_defined) zx_tmp_fi2d(:)=solsw_aero(:,2)*swradcorr(:)
+          CALL histwrite_phy(o_swsrfas_ant,zx_tmp_fi2d)
+          IF (vars_defined) zx_tmp_fi2d(:)=topsw0_aero(:,2)*swradcorr(:)
+          CALL histwrite_phy(o_swtoacs_ant,zx_tmp_fi2d)
+          IF (vars_defined) zx_tmp_fi2d(:)=solsw0_aero(:,2)*swradcorr(:)
+          CALL histwrite_phy(o_swsrfcs_ant,zx_tmp_fi2d)
+          !cf
+          IF (.not. aerosol_couple) THEN
+             IF (vars_defined) zx_tmp_fi2d(:)=topswcf_aero(:,1)*swradcorr(:)
+             CALL histwrite_phy(o_swtoacf_nat,zx_tmp_fi2d)
+             IF (vars_defined) zx_tmp_fi2d(:)=solswcf_aero(:,1)*swradcorr(:)
+             CALL histwrite_phy(o_swsrfcf_nat,zx_tmp_fi2d)
+             IF (vars_defined) zx_tmp_fi2d(:)=topswcf_aero(:,2)*swradcorr(:)
+             CALL histwrite_phy(o_swtoacf_ant,zx_tmp_fi2d)
+             IF (vars_defined) zx_tmp_fi2d(:)=solswcf_aero(:,2)*swradcorr(:)
+             CALL histwrite_phy(o_swsrfcf_ant,zx_tmp_fi2d)
+             IF (vars_defined) zx_tmp_fi2d(:)=topswcf_aero(:,3)*swradcorr(:)
+             CALL histwrite_phy(o_swtoacf_zero,zx_tmp_fi2d)
+             IF (vars_defined) zx_tmp_fi2d(:)=solswcf_aero(:,3)*swradcorr(:)
+             CALL histwrite_phy(o_swsrfcf_zero,zx_tmp_fi2d)
+          ENDIF
           !====MS forcing diagnostics
        ENDIF