Index: LMDZ6/branches/Ocean_skin/DefLists/field_def_lmdz.xml
===================================================================
--- LMDZ6/branches/Ocean_skin/DefLists/field_def_lmdz.xml	(revision 3605)
+++ LMDZ6/branches/Ocean_skin/DefLists/field_def_lmdz.xml	(revision 3672)
@@ -2,10 +2,4 @@
 <field_definition level="1" prec="4" operation="average" freq_op="1ts" enabled=".true." default_value="9.96921e+36">
     
-<!--    <field_group id="fields_1D" grid_ref="vertical">  -->
-<!--        <field id="Ap"   long_name="Hybrid coordinate: pressure part"    unit="Pa" />  -->
-<!--        <field id="Bp"   long_name="Hybrid coordinate: sigma part"    unit="-" />  -->
-<!--        <field id="Alt"  long_name="Pseudo-altitude (for an 8km scale height)"    unit="km" />  -->
-<!--    </field_group>  -->
-
     <field_group id="remap_expr" level="_reset_" prec="_reset_" operation="_reset_" freq_op="_reset_" enabled="_reset_" default_value="_reset_">
       <field_group id="remap_1ts" />
@@ -86,4 +80,5 @@
         <field id="v10m_sic"    long_name="Vent meredien 10m sic"    unit="m/s" />
         <field id="qsol"        long_name="Soil watter content"         unit="mm" />
+        <field id="tsoil_deep_land" long_name="temperature of land deep soil" unit="K" />
         <field id="JrNt"        long_name="1 if Day 0 if Night"         unit="-" />
         <field id="cldhjn"      long_name="High-level cloudiness Day"         unit="-" />
@@ -162,5 +157,5 @@
         <field id="flat_x"    long_name="flat off-wake"    unit="W/m2" />
         <field id="flat_w"    long_name="flat within-wake"    unit="W/m2" />
-        <field id="delta_tsurf"    long_name="Temperature difference (w-x)"    unit="K" enabled="false" /> <!-- ym --field disabled-- delta_tsurf is not conform to the associated grid (the is an arry containing all sub_surface) --> 
+        <field id="delta_tsurf"    long_name="Temperature difference (w-x)"    unit="K" enabled="false" /> 
         <field id="cdragh_x"    long_name="cdragh off-wake"    unit="-" />
         <field id="cdragh_w"    long_name="cdragh within-wake"    unit="-" />
@@ -514,5 +509,17 @@
         <field id="flx_co2_ocean"  long_name="CO2 flux from ocean"            unit="kg CO2/m2/s" />    <!-- Added OB -->
         <field id="flx_co2_ff"     long_name="CO2 flux from ff"               unit="kg CO2/m2/s" />    <!-- Added OB -->
-        <field id="flx_co2_bb"     long_name="CO2 flux from bb"               unit="kg CO2/m2/s" />    <!-- Added OB -->
+        <field id="flx_co2_bb"     long_name="CO2 flux from bb" unit="kg CO2/m2/s" />    <!-- Added OB -->
+        <field id="T_int" long_name="ocean-air interface temperature" unit="K" detect_missing_value=".true." />
+        <field id="S_int" long_name="ocean-air interface salinity" unit="ppt" detect_missing_value=".true." />
+        <field id="dS_ns" long_name="delta salinity near surface" unit="ppt" detect_missing_value=".true." />
+        <field id="dT_ns" long_name="sub-skin temperature minus foundation temperature" unit="K" detect_missing_value=".true." />
+        <field id="dTer" 	       long_name="interface temperature minus sub-skin temperature" 	       unit="K" detect_missing_value=".true." />
+        <field id="dSer"
+	       long_name="salinity variation in the diffusive microlayer"
+ 	       unit="ppt" detect_missing_value=".true." />
+        <field id="tkt" long_name="thickness of thermal microlayer" 	       unit="m" 	       detect_missing_value=".true." />
+        <field id="tks" long_name="thickness of salinity microlayer" 	       unit="m" 	       detect_missing_value=".true." />
+        <field 	    id="rf" 	    long_name="sensible heat flux at the surface due to rainfall, positive upward" 	    unit="W m-2" detect_missing_value=".true." />
+        <field id="taur" long_name="momentum flux due to rain" 	       unit="Pa" 	       detect_missing_value=".true." />
     </field_group>
 
@@ -856,5 +863,6 @@
     </field_group>
 
-    <field_group operation="average" freq_offset="0ts" freq_op="3h">  <!-- ----------------------------COSP------------------------ -->
+    <field_group operation="average" freq_offset="0ts" freq_op="3h">
+      <!-- COSP -->
 
     <field_group id="fields_COSP_CALIPSO_2D" grid_ref="grid_glo" freq_offset="0ts" freq_op="3h">
@@ -965,5 +973,5 @@
 
 
-    </field_group>  <!-- ----------------------------COSP------------------------ -->
+    </field_group>  <!-- COSP -->
 
     <field_group id="fields_AIRS" grid_ref="grid_glo" operation="instant" freq_op="3h">