Index: LMDZ6/trunk/libf/dynphy_lonlat/phylmd/iniphysiq_mod.F90
===================================================================
--- LMDZ6/trunk/libf/dynphy_lonlat/phylmd/iniphysiq_mod.F90	(revision 3671)
+++ LMDZ6/trunk/libf/dynphy_lonlat/phylmd/iniphysiq_mod.F90	(revision 3677)
@@ -25,4 +25,9 @@
                       indnum_fn_num,index_trac,&
                       niso,ntraceurs_zone,ntraciso
+#ifdef CPP_StratAer
+  USE infotrac, ONLY: nbtr_bin, nbtr_sulgas, id_OCS_strat, &
+                      id_SO2_strat, id_H2SO4_strat, id_BIN01_strat
+
+#endif
 #ifdef REPROBUS
   USE CHEM_REP, ONLY : Init_chem_rep_phys
@@ -149,5 +154,10 @@
                          iso_indnum,zone_num,phase_num,&
                          indnum_fn_num,index_trac,&
-                         niso,ntraceurs_zone,ntraciso)
+                         niso,ntraceurs_zone,ntraciso&
+#ifdef CPP_StratAer
+                         ,nbtr_bin,nbtr_sulgas&
+                         ,id_OCS_strat,id_SO2_strat,id_H2SO4_strat,id_BIN01_strat&
+#endif
+                         )
 
   ! Initializations for Reprobus
Index: LMDZ6/trunk/libf/phylmd/StratAer/aer_sedimnt.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/StratAer/aer_sedimnt.F90	(revision 3671)
+++ LMDZ6/trunk/libf/phylmd/StratAer/aer_sedimnt.F90	(revision 3677)
@@ -19,5 +19,5 @@
   USE phys_local_var_mod, ONLY: mdw, budg_sed_part, DENSO4, f_r_wet, vsed_aer
   USE dimphy, ONLY : klon,klev
-  USE infotrac
+  USE infotrac_phy
   USE aerophys
   USE YOMCST
Index: LMDZ6/trunk/libf/phylmd/StratAer/calcaerosolstrato_rrtm.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/StratAer/calcaerosolstrato_rrtm.F90	(revision 3671)
+++ LMDZ6/trunk/libf/phylmd/StratAer/calcaerosolstrato_rrtm.F90	(revision 3677)
@@ -4,5 +4,4 @@
 SUBROUTINE calcaerosolstrato_rrtm(pplay,t_seri,paprs,debut)
 
-  USE infotrac, ONLY : nbtr
   USE phys_state_var_mod, ONLY: tau_aero_sw_rrtm, piz_aero_sw_rrtm, cg_aero_sw_rrtm, tau_aero_lw_rrtm
   USE phys_local_var_mod, ONLY: mdw, tausum_aero, tausum_strat, tau_strat_550, tau_strat_1020, stratomask
Index: LMDZ6/trunk/libf/phylmd/StratAer/coagulate.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/StratAer/coagulate.F90	(revision 3671)
+++ LMDZ6/trunk/libf/phylmd/StratAer/coagulate.F90	(revision 3677)
@@ -25,5 +25,5 @@
   USE dimphy, ONLY : klon,klev
   USE aerophys
-  USE infotrac
+  USE infotrac_phy
   USE phys_local_var_mod, ONLY: DENSO4, f_r_wet
   USE YOMCST
Index: LMDZ6/trunk/libf/phylmd/StratAer/cond_evap_tstep_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/StratAer/cond_evap_tstep_mod.F90	(revision 3671)
+++ LMDZ6/trunk/libf/phylmd/StratAer/cond_evap_tstep_mod.F90	(revision 3677)
@@ -20,5 +20,5 @@
 
       USE aerophys
-      USE infotrac
+      USE infotrac_phy
       USE YOMCST, ONLY : RPI
 
@@ -141,5 +141,5 @@
 
       USE aerophys
-      USE infotrac
+      USE infotrac_phy
       USE YOMCST, ONLY : RPI
 
Index: LMDZ6/trunk/libf/phylmd/StratAer/interp_sulf_input.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/StratAer/interp_sulf_input.F90	(revision 3671)
+++ LMDZ6/trunk/libf/phylmd/StratAer/interp_sulf_input.F90	(revision 3677)
@@ -16,5 +16,5 @@
   USE dimphy
   USE phys_cal_mod
-  USE infotrac
+  USE infotrac_phy
   USE aerophys
   USE YOMCST
Index: LMDZ6/trunk/libf/phylmd/StratAer/micphy_tstep.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/StratAer/micphy_tstep.F90	(revision 3671)
+++ LMDZ6/trunk/libf/phylmd/StratAer/micphy_tstep.F90	(revision 3677)
@@ -7,5 +7,5 @@
   USE dimphy, ONLY : klon,klev
   USE aerophys
-  USE infotrac
+  USE infotrac_phy
   USE phys_local_var_mod, ONLY: mdw, budg_3D_nucl, budg_3D_cond_evap, budg_h2so4_to_part, R2SO4, DENSO4, f_r_wet
   USE nucleation_tstep_mod
Index: LMDZ6/trunk/libf/phylmd/StratAer/miecalc_aer.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/StratAer/miecalc_aer.F90	(revision 3671)
+++ LMDZ6/trunk/libf/phylmd/StratAer/miecalc_aer.F90	(revision 3677)
@@ -18,5 +18,5 @@
   USE aerophys
   USE aero_mod
-  USE infotrac, ONLY : nbtr, nbtr_bin, nbtr_sulgas, id_SO2_strat
+  USE infotrac_phy, ONLY : nbtr, nbtr_bin, nbtr_sulgas, id_SO2_strat
   USE dimphy
   USE YOMCST  , ONLY : RG, RPI
Index: LMDZ6/trunk/libf/phylmd/StratAer/nucleation_tstep_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/StratAer/nucleation_tstep_mod.F90	(revision 3671)
+++ LMDZ6/trunk/libf/phylmd/StratAer/nucleation_tstep_mod.F90	(revision 3677)
@@ -9,5 +9,5 @@
 
   USE aerophys
-  USE infotrac
+  USE infotrac_phy
   USE YOMCST, ONLY : RPI, RD, RMD, RKBOL, RNAVO
 
@@ -73,5 +73,5 @@
 
   USE aerophys
-  USE infotrac
+  USE infotrac_phy
 
   IMPLICIT NONE
Index: LMDZ6/trunk/libf/phylmd/StratAer/ocs_to_so2.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/StratAer/ocs_to_so2.F90	(revision 3671)
+++ LMDZ6/trunk/libf/phylmd/StratAer/ocs_to_so2.F90	(revision 3677)
@@ -6,5 +6,5 @@
   USE dimphy, ONLY : klon,klev
   USE aerophys
-  USE infotrac
+  USE infotrac_phy
   USE YOMCST, ONLY : RG
   USE phys_local_var_mod, ONLY : OCS_lifetime, budg_3D_ocs_to_so2, budg_ocs_to_so2 
Index: LMDZ6/trunk/libf/phylmd/StratAer/so2_to_h2so4.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/StratAer/so2_to_h2so4.F90	(revision 3671)
+++ LMDZ6/trunk/libf/phylmd/StratAer/so2_to_h2so4.F90	(revision 3677)
@@ -6,5 +6,5 @@
   USE dimphy, ONLY : klon,klev
   USE aerophys
-  USE infotrac
+  USE infotrac_phy
   USE YOMCST, ONLY : RG
   USE phys_local_var_mod, ONLY : SO2_lifetime, budg_3D_so2_to_h2so4, budg_so2_to_h2so4
Index: LMDZ6/trunk/libf/phylmd/StratAer/traccoag_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/StratAer/traccoag_mod.F90	(revision 3671)
+++ LMDZ6/trunk/libf/phylmd/StratAer/traccoag_mod.F90	(revision 3677)
@@ -17,5 +17,5 @@
 
     USE dimphy
-    USE infotrac
+    USE infotrac_phy
     USE aerophys
     USE geometry_mod, ONLY : cell_area, boundslat
Index: LMDZ6/trunk/libf/phylmd/infotrac_phy.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/infotrac_phy.F90	(revision 3671)
+++ LMDZ6/trunk/libf/phylmd/infotrac_phy.F90	(revision 3677)
@@ -21,6 +21,16 @@
 !$OMP THREADPRIVATE(nbtr)
 
+#ifdef CPP_StratAer
+! nbtr_bin: number of aerosol bins for StratAer model
+! nbtr_sulgas: number of sulfur gases for StratAer model
+  INTEGER, SAVE :: nbtr_bin, nbtr_sulgas
+!$OMP THREADPRIVATE(nbtr_bin,nbtr_sulgas)
+  INTEGER, SAVE :: id_OCS_strat, id_SO2_strat, id_H2SO4_strat, id_BIN01_strat
+!$OMP THREADPRIVATE(id_OCS_strat, id_SO2_strat, id_H2SO4_strat, id_BIN01_strat)
+#endif
+
 ! CRisi: nb traceurs pères= directement advectés par l'air
   INTEGER, SAVE :: nqperes
+!$OMP THREADPRIVATE(nqperes)
 
 ! Name variables
@@ -94,5 +104,10 @@
                                iso_indnum_,zone_num_,phase_num_,&
                                indnum_fn_num_,index_trac_,&
-                               niso_,ntraceurs_zone_,ntraciso_)
+                               niso_,ntraceurs_zone_,ntraciso_&
+#ifdef CPP_StratAer
+                               ,nbtr_bin_,nbtr_sulgas_&
+                               ,id_OCS_strat_,id_SO2_strat_,id_H2SO4_strat_,id_BIN01_strat_&
+#endif
+                               )
 
     ! transfer information on tracers from dynamics to physics
@@ -103,4 +118,12 @@
     INTEGER,INTENT(IN) :: nqo_
     INTEGER,INTENT(IN) :: nbtr_
+#ifdef CPP_StratAer
+    INTEGER,INTENT(IN) :: nbtr_bin_
+    INTEGER,INTENT(IN) :: nbtr_sulgas_
+    INTEGER,INTENT(IN) :: id_OCS_strat_
+    INTEGER,INTENT(IN) :: id_SO2_strat_
+    INTEGER,INTENT(IN) :: id_H2SO4_strat_
+    INTEGER,INTENT(IN) :: id_BIN01_strat_
+#endif
     CHARACTER(len=20),INTENT(IN) :: tname_(nqtot_) ! tracer short name for restart and diagnostics
     CHARACTER(len=23),INTENT(IN) :: ttext_(nqtot_) ! tracer long name for diagnostics
@@ -140,4 +163,12 @@
     nqo=nqo_
     nbtr=nbtr_
+#ifdef CPP_StratAer
+    nbtr_bin=nbtr_bin_
+    nbtr_sulgas=nbtr_sulgas_
+    id_OCS_strat=id_OCS_strat_
+    id_SO2_strat=id_SO2_strat_
+    id_H2SO4_strat=id_H2SO4_strat_
+    id_BIN01_strat=id_BIN01_strat_
+#endif
     ALLOCATE(tname(nqtot))
     tname(:) = tname_(:)