Index: /LMDZ6/trunk/libf/phylmd/dyn1d/1DUTILS.h
===================================================================
--- /LMDZ6/trunk/libf/phylmd/dyn1d/1DUTILS.h	(revision 3681)
+++ /LMDZ6/trunk/libf/phylmd/dyn1d/1DUTILS.h	(revision 3682)
@@ -627,4 +627,690 @@
       RETURN
       END
+!      
+      SUBROUTINE conf_unicol_std
+!
+#ifdef CPP_IOIPSL
+      use IOIPSL
+#else
+! if not using IOIPSL, we still need to use (a local version of) getin
+      use ioipsl_getincom
+#endif
+      USE print_control_mod, ONLY: lunout
+      IMPLICIT NONE
+!-----------------------------------------------------------------------
+!     Auteurs :   A. Lahellec  - adaptation au format standard.
+!
+!   Declarations :
+!   --------------
+
+#include "compar1d_std.h"
+#include "flux_arp.h"
+#include "tsoilnudge.h"
+#include "fcg_gcssold.h"
+#include "fcg_racmo.h"
+!
+!
+!   local:
+!   ------
+
+!      CHARACTER ch1*72,ch2*72,ch3*72,ch4*12
+      
+!
+!  -------------------------------------------------------------------
+!
+!      .........    Initilisation parametres du lmdz1D      ..........
+!
+!---------------------------------------------------------------------
+!   initialisations:
+!   ----------------
+
+!Config  Key  = lunout
+!Config  Desc = unite de fichier pour les impressions
+!Config  Def  = 6
+!Config  Help = unite de fichier pour les impressions 
+!Config         (defaut sortie standard = 6)
+      lunout=6
+!      CALL getin('lunout', lunout)
+      IF (lunout /= 5 .and. lunout /= 6) THEN
+        OPEN(lunout,FILE='lmdz.out')
+      ENDIF
+
+!Config  Key  = prt_level
+!Config  Desc = niveau d'impressions de debogage
+!Config  Def  = 0
+!Config  Help = Niveau d'impression pour le debogage
+!Config         (0 = minimum d'impression)
+!      prt_level = 0
+!      CALL getin('prt_level',prt_level)
+
+!-----------------------------------------------------------------------
+!  Parametres de controle du run:
+!-----------------------------------------------------------------------
+
+!Config  Key  = restart
+!Config  Desc = on repart des startphy et start1dyn
+!Config  Def  = false
+!Config  Help = les fichiers restart doivent etre renomme en start
+       restart =.false.
+       CALL getin('restart',restart)
+
+!----------------------------------------------------------
+! Parametres de forcage pour les forcages communs:
+! Voir ici: https://github.com/romainroehrig/DEPHY-SCM/blob/master/DEPHY_Format_Version_0.pdf
+! Pour les forcages communs: ces entiers valent 0 ou 1
+! adv_temp= advection tempe, theta ou thetal, qv,qt,rv ou rt
+! rad_temp= 0 (rayonnement actif) ou 1 (prescrit par tend_rad) ou adv (prescir et contenu dans les adv_temp)
+! idem rad_theta et rad_thetal	
+! forcages en omega, w, vent geostrophique ou ustar
+! Parametres de nudging en u,v,temp, theta, thetal,qv, qt, rv, rt valent 0 ou 1 ou le temps de nudging
+! p_nudging_xxx pression (Pa) a partir de laquelle appliquer le nudging de xxx
+! ou z_nudging_xxx hauteur(m) a partir de laquelle appliquer le nudging de xxx
+!----------------------------------------------------------
+!
+!Parametres de forcage
+!Config  Key  = adv_temp
+!Config  Desc = forcage ou non par advection de T
+!Config  Def  = false
+!Config  Help = forcage ou non par advection de T
+       adv_temp =0
+       CALL getin('adv_temp',adv_temp)
+
+!
+!Parametres de forcage
+!Config  Key  = adv_theta
+!Config  Desc = forcage ou non par advection de Theta
+!Config  Def  = false
+!Config  Help = forcage ou non par advection de Theta
+       adv_theta =0
+       CALL getin('adv_theta',adv_theta)
+
+!
+!Parametres de forcage
+!Config  Key  = adv_thetal
+!Config  Desc = forcage ou non par advection de Thetal
+!Config  Def  = false
+!Config  Help = forcage ou non par advection de Thetal
+       adv_thetal =0
+       CALL getin('adv_thetal',adv_thetal)
+
+!
+!Parametres de forcage
+!Config  Key  = rad_temp
+!Config  Desc = forcage par tendance radiative en tempe
+!Config  Def  = false
+!Config  Help = forcage par tendance radiative en tempe
+       rad_temp ="0"
+       CALL getin('rad_temp',rad_temp)
+
+!
+!Parametres de forcage
+!Config  Key  = rad_theta
+!Config  Desc = forcage par tendance radiative en theta
+!Config  Def  = false
+!Config  Help = forcage par tendance radiative en theta
+       rad_theta ="0"
+       CALL getin('rad_theta',rad_theta)
+
+!
+!Parametres de forcage
+!Config  Key  = rad_thetal
+!Config  Desc = forcage par tendance radiative en thetal
+!Config  Def  = false
+!Config  Help = forcage par tendance radiative en thetal
+       rad_thetal ="0"
+       CALL getin('rad_thetal',rad_thetal)
+
+!
+!Parametres de forcage
+!Config  Key  = adv_qv
+!Config  Desc = forcage ou non par advection de qv
+!Config  Def  = false
+!Config  Help = forcage ou non par advection de qv
+       adv_qv =0
+       CALL getin('adv_qv',adv_qv)
+
+!
+!Parametres de forcage
+!Config  Key  = adv_qt
+!Config  Desc = forcage ou non par advection de qt
+!Config  Def  = false
+!Config  Help = forcage ou non par advection de qt
+       adv_qt =0
+       CALL getin('adv_qt',adv_qt)
+
+!
+!Parametres de forcage
+!Config  Key  = adv_rv
+!Config  Desc = forcage ou non par advection de rv
+!Config  Def  = false
+!Config  Help = forcage ou non par advection de rv
+       adv_rv =0
+       CALL getin('adv_rv',adv_rv)
+
+!
+!Parametres de forcage
+!Config  Key  = adv_rt
+!Config  Desc = forcage ou non par advection de rt
+!Config  Def  = false
+!Config  Help = forcage ou non par advection de rt
+       adv_rt =0
+       CALL getin('adv_rt',adv_rt)
+
+!
+!Parametres de forcage
+!Config  Key  = nudging_temp
+!Config  Desc = forcage ou non par advection de tempe
+!Config  Def  = false
+!Config  Help = forcage ou non par advection de tempe
+       nudging_temp =0
+       CALL getin('nudging_temp',nudging_temp)
+
+!
+!Parametres de forcage
+!Config  Key  = nudging_theta
+!Config  Desc = forcage ou non par advection de theta
+!Config  Def  = false
+!Config  Help = forcage ou non par advection de theta
+       nudging_theta =0
+       CALL getin('nudging_theta',nudging_theta)
+
+!
+!Parametres de forcage
+!Config  Key  = nudging_thetal
+!Config  Desc = forcage ou non par advection de thetal
+!Config  Def  = false
+!Config  Help = forcage ou non par advection de thetal
+       nudging_thetal =0
+       CALL getin('nudging_thetal',nudging_thetal)
+
+!
+!Parametres de forcage
+!Config  Key  = nudging_qv
+!Config  Desc = forcage ou non par advection de qv
+!Config  Def  = false
+!Config  Help = forcage ou non par advection de qv
+       nudging_qv =0
+       CALL getin('nudging_qv',nudging_qv)
+
+!
+!Parametres de forcage
+!Config  Key  = nudging_qt
+!Config  Desc = forcage ou non par advection de qt
+!Config  Def  = false
+!Config  Help = forcage ou non par advection de qt
+       nudging_qt =0
+       CALL getin('nudging_qt',nudging_qt)
+
+!
+!Parametres de forcage
+!Config  Key  = nudging_rv
+!Config  Desc = forcage ou non par advection de rv
+!Config  Def  = false
+!Config  Help = forcage ou non par advection de rv
+       nudging_rv =0
+       CALL getin('nudging_rv',nudging_rv)
+
+!
+!Parametres de forcage
+!Config  Key  = nudging_rt
+!Config  Desc = forcage ou non par advection de rt
+!Config  Def  = false
+!Config  Help = forcage ou non par advection de rt
+       nudging_rt =0
+       CALL getin('nudging_rt',nudging_rt)
+
+!
+!Parametres de forcage
+!Config  Key  = nudging_u
+!Config  Desc = forcage ou non par advection de u wind
+!Config  Def  = false
+!Config  Help = forcage ou non par advection de u wind
+       nudging_u =0
+       CALL getin('nudging_u',nudging_u)
+
+!
+!Parametres de forcage
+!Config  Key  = nudging_v
+!Config  Desc = forcage ou non par advection de v wind
+!Config  Def  = false
+!Config  Help = forcage ou non par advection de v wind
+       nudging_v =0
+       CALL getin('nudging_v',nudging_v)
+
+!
+!Parametres de forcage
+!Config  Key  = p_nudging_temp
+!Config  Desc = Pressure (Pa) above which tempe should be nudged
+!Config  Def  = false
+!Config  Help = Pressure (Pa) above which tempe should be nudged
+       p_nudging_temp =11000.
+       CALL getin('p_nudging_tempe',p_nudging_temp)
+
+!
+!Parametres de forcage
+!Config  Key  = p_nudging_theta
+!Config  Desc = Pressure (Pa) above which theta should be nudged
+!Config  Def  = false
+!Config  Help = Pressure (Pa) above which theta should be nudged
+       p_nudging_theta =11000.
+       CALL getin('p_nudging_theta',p_nudging_theta)
+
+!
+!Parametres de forcage
+!Config  Key  = p_nudging_thetal
+!Config  Desc = Pressure (Pa) above which thetal should be nudged
+!Config  Def  = false
+!Config  Help = Pressure (Pa) above which thetal should be nudged
+       p_nudging_thetal =11000.
+       CALL getin('p_nudging_thetal',p_nudging_thetal)
+
+!
+!Parametres de forcage
+!Config  Key  = p_nudging_qv
+!Config  Desc = Pressure (Pa) above which qv should be nudged
+!Config  Def  = false
+!Config  Help = Pressure (Pa) above which qv should be nudged
+       p_nudging_qv =11000.
+       CALL getin('p_nudging_qv',p_nudging_qv)
+
+!
+!Parametres de forcage
+!Config  Key  = p_nudging_qt
+!Config  Desc = Pressure (Pa) above which qt should be nudged
+!Config  Def  = false
+!Config  Help = Pressure (Pa) above which qt should be nudged
+       p_nudging_qt =11000.
+       CALL getin('p_nudging_qt',p_nudging_qt)
+
+!
+!Parametres de forcage
+!Config  Key  = p_nudging_rv
+!Config  Desc = Pressure (Pa) above which rv should be nudged
+!Config  Def  = false
+!Config  Help = Pressure (Pa) above which rv should be nudged
+       p_nudging_rv =11000.
+       CALL getin('p_nudging_rv',p_nudging_rv)
+
+!
+!Parametres de forcage
+!Config  Key  = p_nudging_rt
+!Config  Desc = Pressure (Pa) above which rt should be nudged
+!Config  Def  = false
+!Config  Help = Pressure (Pa) above which rt should be nudged
+       p_nudging_rt =11000.
+       CALL getin('p_nudging_rt',p_nudging_rt)
+
+!
+!Parametres de forcage
+!Config  Key  = p_nudging_u
+!Config  Desc = Pressure (Pa) above which u should be nudged
+!Config  Def  = false
+!Config  Help = Pressure (Pa) above which u should be nudged
+       p_nudging_u =11000.
+       CALL getin('p_nudging_u',p_nudging_u)
+
+!
+!Parametres de forcage
+!Config  Key  = p_nudging_v
+!Config  Desc = Pressure (Pa) above which v should be nudged
+!Config  Def  = false
+!Config  Help = Pressure (Pa) above which v should be nudged
+       p_nudging_v =11000.
+       CALL getin('p_nudging_v',p_nudging_v)
+
+!
+!Parametres de forcage
+!Config  Key  = z_nudging_temp
+!Config  Desc = Height (m) above which tempe should be nudged
+!Config  Def  = false
+!Config  Help = Height (m) above which tempe should be nudged
+       z_nudging_temp=0.
+       CALL getin('z_nudging_tempe',z_nudging_temp)
+
+!
+!Parametres de forcage
+!Config  Key  = z_nudging_theta
+!Config  Desc = Height (m) above which theta should be nudged
+!Config  Def  = false
+!Config  Help = Height (m) above which theta should be nudged
+       z_nudging_theta=0.
+       CALL getin('z_nudging_theta',z_nudging_theta)
+
+!
+!Parametres de forcage
+!Config  Key  = z_nudging_thetal
+!Config  Desc = Height (m) above which thetal should be nudged
+!Config  Def  = false
+!Config  Help = Height (m) above which thetal should be nudged
+       z_nudging_thetal=0.
+       CALL getin('z_nudging_thetal',z_nudging_thetal)
+
+!
+!Parametres de forcage
+!Config  Key  = z_nudging_qv
+!Config  Desc = Height (m) above which qv should be nudged
+!Config  Def  = false
+!Config  Help = Height (m) above which qv should be nudged
+       z_nudging_qv=0.
+       CALL getin('z_nudging_qv',z_nudging_qv)
+
+!
+!Parametres de forcage
+!Config  Key  = z_nudging_qt
+!Config  Desc = Height (m) above which qt should be nudged
+!Config  Def  = false
+!Config  Help = Height (m) above which qt should be nudged
+       z_nudging_qt=0.
+       CALL getin('z_nudging_qt',z_nudging_qt)
+
+!
+!Parametres de forcage
+!Config  Key  = z_nudging_rv
+!Config  Desc = Height (m) above which rv should be nudged
+!Config  Def  = false
+!Config  Help = Height (m) above which rv should be nudged
+       z_nudging_rv=0.
+       CALL getin('z_nudging_rv',z_nudging_rv)
+
+!
+!Parametres de forcage
+!Config  Key  = z_nudging_rt
+!Config  Desc = Height (m) above which rt should be nudged
+!Config  Def  = false
+!Config  Help = Height (m) above which rt should be nudged
+       z_nudging_rt=0.
+       CALL getin('z_nudging_rt',z_nudging_rt)
+
+!
+!Parametres de forcage
+!Config  Key  = z_nudging_u
+!Config  Desc = Height (m) above which u should be nudged
+!Config  Def  = false
+!Config  Help = Height (m) above which u should be nudged
+       z_nudging_u=0.
+       CALL getin('z_nudging_u',z_nudging_u)
+
+!
+!Parametres de forcage
+!Config  Key  = z_nudging_v
+!config  desc = height (m) above which v should be nudged
+!config  def  = false
+!config  help = height (m) above which v should be nudged
+       z_nudging_v=0.
+       call getin('z_nudging_v',z_nudging_v)
+
+!config  key  = ok_flux_surf
+!config  desc = forcage ou non par les flux de surface
+!config  def  = false
+!config  help = forcage ou non par les flux de surface
+       ok_flux_surf =.false.
+       call getin('ok_flux_surf',ok_flux_surf)
+
+!config  key  = ok_prescr_ust
+!config  desc = ustar impose ou non
+!config  def  = false
+!config  help = ustar impose ou non
+       ok_prescr_ust = .false.
+       call getin('ok_prescr_ust',ok_prescr_ust)
+
+!config  key  = ok_old_disvert
+!config  desc = utilisation de l ancien programme disvert0 (dans 1dutils.h)
+!config  def  = false
+!config  help = utilisation de l ancien programme disvert0 (dans 1dutils.h)
+       ok_old_disvert = .false.
+       call getin('ok_old_disvert',ok_old_disvert)
+
+!config  key  = time_ini
+!config  desc = meaningless in this  case
+!config  def  = 0.
+!config  help = 
+       tsurf = 0.
+       call getin('time_ini',time_ini)
+
+!config  key  = rlat et rlon
+!config  desc = latitude et longitude
+!config  def  = 0.0  0.0
+!config  help = fixe la position de la colonne
+       xlat = 0.
+       xlon = 0.
+       call getin('rlat',xlat)
+       call getin('rlon',xlon)
+
+!config  key  = airephy
+!config  desc = grid cell area
+!config  def  = 1.e11
+!config  help = 
+       airefi = 1.e11
+       call getin('airephy',airefi)
+
+!config  key  = nat_surf
+!config  desc = surface type
+!config  def  = 0 (ocean)
+!config  help = 0=ocean,1=land,2=glacier,3=banquise
+       nat_surf = 0.
+       call getin('nat_surf',nat_surf)
+
+!config  key  = tsurf
+!config  desc = surface temperature
+!config  def  = 290.
+!config  help = not used if type_ts_forcing=1 in lmdz1d.f
+       tsurf = 290.
+       call getin('tsurf',tsurf)
+
+!config  key  = psurf
+!config  desc = surface pressure
+!config  def  = 102400.
+!config  help = 
+       psurf = 102400.
+       call getin('psurf',psurf)
+
+!config  key  = zsurf
+!config  desc = surface altitude
+!config  def  = 0.
+!config  help = 
+       zsurf = 0.
+       call getin('zsurf',zsurf)
+
+!config  key  = rugos
+!config  desc = coefficient de frottement
+!config  def  = 0.0001
+!config  help = calcul du cdrag
+       rugos = 0.0001
+       call getin('rugos',rugos)
+! fh/2020/04/08/confinement: pour le nouveau format standard, la rugosite s'appelle z0
+       call getin('z0',rugos)
+
+!config  key  = rugosh
+!config  desc = coefficient de frottement
+!config  def  = rugos
+!config  help = calcul du cdrag
+       rugosh = rugos
+       call getin('rugosh',rugosh)
+
+!config  key  = snowmass
+!config  desc = mass de neige de la surface en kg/m2
+!config  def  = 0.0000
+!config  help = snowmass
+       snowmass = 0.0000
+       call getin('snowmass',snowmass)
+
+!config  key  = wtsurf et wqsurf
+!config  desc = ???
+!config  def  = 0.0 0.0
+!config  help = 
+       wtsurf = 0.0
+       wqsurf = 0.0
+       call getin('wtsurf',wtsurf)
+       call getin('wqsurf',wqsurf)
+
+!config  key  = albedo
+!config  desc = albedo
+!config  def  = 0.09
+!config  help = 
+       albedo = 0.09
+       call getin('albedo',albedo)
+
+!config  key  = agesno
+!config  desc = age de la neige
+!config  def  = 30.0
+!config  help = 
+       xagesno = 30.0
+       call getin('agesno',xagesno)
+
+!config  key  = restart_runoff
+!config  desc = age de la neige
+!config  def  = 30.0
+!config  help = 
+       restart_runoff = 0.0
+       call getin('restart_runoff',restart_runoff)
+
+!config  key  = qsolinp
+!config  desc = initial bucket water content (kg/m2) when land (5std)
+!config  def  = 30.0
+!config  help = 
+       qsolinp = 1.
+       call getin('qsolinp',qsolinp)
+
+!config  key  = zpicinp
+!config  desc = denivellation orographie
+!config  def  = 0.
+!config  help =  input brise
+       zpicinp = 0.
+       call getin('zpicinp',zpicinp)
+
+!config key = nudge_tsoil
+!config  desc = activation of soil temperature nudging
+!config  def  = .false.
+!config  help = ...
+       nudge_tsoil=.false.
+       call getin('nudge_tsoil',nudge_tsoil)
+
+!config key = isoil_nudge
+!config  desc = level number where soil temperature is nudged
+!config  def  = 3
+!config  help = ...
+       isoil_nudge=3
+       call getin('isoil_nudge',isoil_nudge)
+
+!config key = tsoil_nudge
+!config  desc = target temperature for tsoil(isoil_nudge)
+!config  def  = 300.
+!config  help = ...
+       tsoil_nudge=300.
+       call getin('tsoil_nudge',tsoil_nudge)
+
+!config key = tau_soil_nudge
+!config  desc = nudging relaxation time for tsoil
+!config  def  = 3600.
+!config  help = ...
+       tau_soil_nudge=3600.
+       call getin('tau_soil_nudge',tau_soil_nudge)
+
+!config  key  = forc_omega
+!config  desc = forcage ou non par omega
+!config  def  = false
+!config  help = forcage ou non par omega
+       forc_omega =0
+       call getin('forc_omega',forc_omega)
+
+!config  key  = forc_w
+!config  desc = forcage ou non par w
+!config  def  = false
+!config  help = forcage ou non par w
+       forc_w =0
+       call getin('forc_w',forc_w)
+
+!config  key  = forc_geo
+!config  desc = forcage ou non par geo
+!config  def  = false
+!config  help = forcage ou non par geo
+       forc_geo =0
+       call getin('forc_geo',forc_geo)
+
+! meme chose que ok_precr_ust
+!config  key  = forc_ustar
+!config  desc = forcage ou non par ustar
+!config  def  = false
+!config  help = forcage ou non par ustar
+       forc_ustar =0
+       call getin('forc_ustar',forc_ustar)
+       if (forc_ustar .eq. 1) ok_prescr_ust=.true.
+
+
+      write(lunout,*)' +++++++++++++++++++++++++++++++++++++++'
+      write(lunout,*)' configuration des parametres du gcm1d: '
+      write(lunout,*)' +++++++++++++++++++++++++++++++++++++++'
+      write(lunout,*)' restart = ', restart
+      write(lunout,*)' forcing_type = ', forcing_type
+      write(lunout,*)' time_ini = ', time_ini
+      write(lunout,*)' rlat = ', xlat
+      write(lunout,*)' rlon = ', xlon
+      write(lunout,*)' airephy = ', airefi
+      write(lunout,*)' nat_surf = ', nat_surf
+      write(lunout,*)' tsurf = ', tsurf
+      write(lunout,*)' psurf = ', psurf
+      write(lunout,*)' zsurf = ', zsurf
+      write(lunout,*)' rugos = ', rugos
+      write(lunout,*)' snowmass=', snowmass
+      write(lunout,*)' wtsurf = ', wtsurf
+      write(lunout,*)' wqsurf = ', wqsurf
+      write(lunout,*)' albedo = ', albedo
+      write(lunout,*)' xagesno = ', xagesno
+      write(lunout,*)' restart_runoff = ', restart_runoff
+      write(lunout,*)' qsolinp = ', qsolinp
+      write(lunout,*)' zpicinp = ', zpicinp
+      write(lunout,*)' nudge_tsoil = ', nudge_tsoil
+      write(lunout,*)' isoil_nudge = ', isoil_nudge
+      write(lunout,*)' tsoil_nudge = ', tsoil_nudge
+      write(lunout,*)' tau_soil_nudge = ', tau_soil_nudge
+      write(lunout,*)' adv_temp =      ', adv_temp
+      write(lunout,*)' adv_theta =      ', adv_theta
+      write(lunout,*)' adv_thetal =      ', adv_thetal
+      write(lunout,*)' rad_temp =      ', rad_temp
+      write(lunout,*)' rad_theta =      ', rad_theta
+      write(lunout,*)' rad_thetal =      ', rad_thetal
+      write(lunout,*)' adv_qv =      ', adv_qv
+      write(lunout,*)' adv_qt =      ', adv_qt
+      write(lunout,*)' adv_rv =      ', adv_rv
+      write(lunout,*)' adv_rt =      ', adv_rt
+      write(lunout,*)' nudging_temp =      ', nudging_temp
+      write(lunout,*)' nudging_theta =      ', nudging_theta
+      write(lunout,*)' nudging_thetal =      ', nudging_thetal
+      write(lunout,*)' nudging_qv =      ', nudging_qv
+      write(lunout,*)' nudging_qt =      ', nudging_qt
+      write(lunout,*)' nudging_rv =      ', nudging_rv
+      write(lunout,*)' nudging_rt =      ', nudging_rt
+      write(lunout,*)' p_nudging_temp =      ', p_nudging_temp
+      write(lunout,*)' p_nudging_theta =      ', p_nudging_theta
+      write(lunout,*)' p_nudging_thetal =      ', p_nudging_thetal
+      write(lunout,*)' p_nudging_qv =      ', p_nudging_qv
+      write(lunout,*)' p_nudging_qt =      ', p_nudging_qt
+      write(lunout,*)' p_nudging_rv =      ', p_nudging_rv
+      write(lunout,*)' p_nudging_rt =      ', p_nudging_rt
+      write(lunout,*)' z_nudging_temp =      ', z_nudging_temp
+      write(lunout,*)' z_nudging_theta =      ', z_nudging_theta
+      write(lunout,*)' z_nudging_thetal =      ', z_nudging_thetal
+      write(lunout,*)' z_nudging_qv =      ', z_nudging_qv
+      write(lunout,*)' z_nudging_qt =      ', z_nudging_qt
+      write(lunout,*)' z_nudging_rv =      ', z_nudging_rv
+      write(lunout,*)' z_nudging_rt =      ', z_nudging_rt
+      write(lunout,*)' forc_omega = ', forc_omega
+      write(lunout,*)' forc_w     = ', forc_w
+      write(lunout,*)' forc_geo   = ', forc_geo
+      write(lunout,*)' forc_ustar = ', forc_ustar
+      IF (forcing_type .eq.40) THEN
+        write(lunout,*) '--- Forcing type GCSS Old --- with:'
+        write(lunout,*)'imp_fcg',imp_fcg_gcssold
+        write(lunout,*)'ts_fcg',ts_fcg_gcssold
+        write(lunout,*)'tp_fcg',Tp_fcg_gcssold
+        write(lunout,*)'tp_ini',Tp_ini_gcssold
+        write(lunout,*)'xturb_fcg',xTurb_fcg_gcssold
+      ENDIF
+
+      write(lunout,*)' +++++++++++++++++++++++++++++++++++++++'
+      write(lunout,*)
+!
+      RETURN
+      END
 !
 ! $Id: dyn1deta0.F 1279 2010/07/30 A Lahellec$
Index: /LMDZ6/trunk/libf/phylmd/dyn1d/1D_interp_cases.h
===================================================================
--- /LMDZ6/trunk/libf/phylmd/dyn1d/1D_interp_cases.h	(revision 3681)
+++ /LMDZ6/trunk/libf/phylmd/dyn1d/1D_interp_cases.h	(revision 3682)
@@ -171,5 +171,5 @@
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
          
-        if (rad_temp.eq.1) then
+        if (rad_temp=="1") then
            tend_rayo=1
            dt_cooling(l) = dtrad_mod_cas(l)
Index: /LMDZ6/trunk/libf/phylmd/dyn1d/compar1d_std.h
===================================================================
--- /LMDZ6/trunk/libf/phylmd/dyn1d/compar1d_std.h	(revision 3681)
+++ /LMDZ6/trunk/libf/phylmd/dyn1d/compar1d_std.h	(revision 3682)
@@ -40,5 +40,6 @@
 ! Parametres de nudging en u,v,t,q valent 0 ou 1 ou le temps de nudging
 
-      integer :: adv_temp, adv_theta, adv_thetal, rad_temp, rad_theta, rad_thetal
+      integer :: adv_temp, adv_theta, adv_thetal
+      character*20 :: rad_temp, rad_theta, rad_thetal
       integer :: adv_qv, adv_qt, adv_rv, adv_rt
       integer :: forc_omega, forc_u, forc_v, forc_w, forc_geo, forc_ustar